{*******************************************************}
{File:               NCOciBuff.PAS                      }
{Revision:           0.03.04 / 05.03.2000               }
{Comment:            NC OCI8 VCL: string resources      }
{Copyright:          (c) 1999-2000, Dmitry Arefiev      }
{Author:             Dmitry Arefiev, dmitrya@inthink.com}
{Danish translation: Kurt Bilde, kub@sam.sdu.dk         }
{*******************************************************}
{$I NCOciDef.inc}

unit NCOciMsg;

interface

resourcestring
    // NCOciWrapper
    msgOCINotInstalled = 'NOE1/INIT - OCI er ikke korrekt installeret p denne maskine';
    msgOCIBadVersion = 'NOE2/INIT - Forkert OCI version [%s]. NCOCI8 anvender mindst ver. 8.0.3';
    msgOCINotLoaded = 'NOE3/INIT - Fejl ved indlsning af OCI dll. %s';
    msgOCIOutOfCount = 'NOE4/VAR - Indeks er overlbet array strrelsen';
    msgOCIBadValueSize = 'NOE5/VAR - Forkert eller udefinerede variabel vrdistrrelse';
    msgOCIBadArrayLen = 'NOE6/VAR - Forkert eller udefinerede variabel array lngde';
    msgOCIBadValueType = 'NOE7/VAR - Forkert eller udefinerede variabel [%s] vrditype %d';
    msgOCIUnsupValueType = 'NOE8/VAR - Ikke supporterede variabel datatype';
    msgOCIDataMBAtRt = 'NOE9/VAR - Kan ikke modificere RETUR variabel';
    msgOCIDataToLarge = 'NOE10/VAR - Data er for stor til variabel';
    msgOCIVarWithoutStmt = 'NOE11/VAR - Variabel krver forberedt beskrivelse for operation';
    msgOCIBadVarType = 'NOE12/VAR - Forkert eller udefinerede variabel param type';
    msgOCIUndefPWVar = 'NOE13/STMT - Stykvis operation for ukendt variabel';
    msgOCIBadTypePWVar = 'NOE14/STMT - Stykvis operation for ugyldig variabel';
    msgOCIFuncNotFound = 'NOE15/INIT - Indgangspunkt [%s] ikke fundet i OCI DLL';
    msgOCINumInvVarArray = 'NOE16/NUM - Ugyldig VARARRAY strrelse. Kan ikke udlse nummer fra variant';
    msgOCINumInvVar = 'NOE17/NUM - Ugyldig variant type. Kan ikke udlse nummer fra variant';
    msgOCITooLongGTRID = 'NOE18/TX - Maksimum lngde (%d) af GTRID overstiger - %d';
    msgOCITooLongBQUAL = 'NOE19/TX - Maksimum lngde (%d) af BQUAL overstiger - %d';
    msgOCITooLongTXName = 'NOE20/TX - Maksimum lngde (%d) af transaktionsnavn overstiger - %d';

    // NCOciBuff
    msgOCIBuffMBOpen = 'NOE50/DEADCRS - OCI cursor skal vre bnet';
    msgOCIBuffMBClose = 'NOE51/DEADCRS - OCI cursor skal vre lukket';
    msgOCIInvalidRNO = 'NOE52/DEADCRS - Ugyldigt rekord-nummer';
    msgOCIInvalidVarIndex = 'NOE53/DEADCRS - Ugyldig define variabel position';
    msgOCIModifyNotDelphiBuff = 'NOE54/DEADCRS - TOCIDataSet buffer-operation med ikke [rsDelphiBuff] buffer';
    msgOCICantModifyBuff = 'NOE55/DEADCRS - Kan ikke slette/modificere [rsEmpty, rsNew*Applyed, rsDelphiBuff] buffer';
    msgOCIInvalidBmk = 'NOE56/DEADCRS - Ugyldigt bogmrke';
    msgOCIApplyFailed = 'NOE57/DEADCRS - Tilfjelse af cached opdateringer mislykkes';
    msgOCIRecurseApply = 'NOE58/DEADCRS - Kan ikke genskabe tilfjede cached opdateringer';
    msgOCINoApplyCallback = 'NOE59/DEADCRS - For at tilfje opdateringer behves callback';
    msgOCIMustBeBidir = 'NOE60/DEADCRS - OCI cursor skal vre bidirektional';
{*} msgOCIBadDT4CU = 'NOE61/DEADCRS - Cannot use cached updates for OCI cursor with BLOB define variables';

    // NCOciParams
    msgOCIBadParamVal = 'NOE80/PAR - Kan ikke knytte vrdi til parameter';
    msgOCIComplexType = 'NOE81/PAR - For kompleks type params brug specifik metode';
    msgOCIMacroNotFound = 'NOE82/PAR - Makroer [%s] er ikke fundet';

    // NCOciDB
    msgOCIDBmbActive = 'NOE100/DB - DataBase skal vre aktiv';
    msgOCIDBmbInactive = 'NOE101/DB - DataBase skal vre inaktiv';
    msgOCIDBLoginRetries = 'NOE102/DB - Kunne ikke skabe forbindelse til ORACLE efter %d forsg';
    msgOCIDBUnknown = 'NOE103/DB - DataBase [%s] er ukendt';
    msgOCIStmtCantDescribe = 'NOE104/Q - Kan ikke beskrive selectlisten for en beskrivelse uden rkkest';
    msgInvFetchPar = 'NOE107/FP - Ugyldig fetch parameter [%s] vrdi';
    msgDataSetNotEditing = 'NOE110/DS - DataSet er ikke i editeringsmodus';
    msgOCICachUpdMBAct = 'NOE111/DS - Chached opdateringer skal vre aktiv';
{*} msgOCIExpNotFnd = 'NOE112/DS - Found uncompiled expression. Reopen dataset';
{*} msgOCIRecConstCompFail = 'NOE113/DS - Compilation of record constraint failed. %s';
{*} msgOCIFieldConstCompFail = 'NOE114/DS - Compilation of field constraint failed. %s';
{*} msgOCIFieldDefCompFail = 'NOE115/DS - Compilation of field default value failed. %s';
{*} msgOCIRecConstFail = 'NOE116/DS - Record constraint failed. %s';
{*} msgOCIFieldConstFail = 'NOE117/DS - Field constraint failed. %s';
{*} msgOCIFieldDefFail = 'NOE118/DS - Field default value failed. %s';
    msgOCIBlobReadOnly = 'NOE120/BLOB - BLOB felt [%s] er skrivebeskyttet';
    msgOCILongStreamInvalid = 'NOE121/BLOB - TOCILongStream kan ikke anvendes p felt [%s]';
    msgOCILOBStreamInvalid = 'NOE122/BLOB - TOCILobStream kan ikke anvedes p felt [%s]';
    msgOCIFieldIsNotBLOB = 'NOE123/BLOB - Feltet er ikke et BLOB felt';
    msgOCIStmtCantOpen = 'NOE127/Q - Kan ikke kalde Open for en beskrivelse uden rkkest';
    msgOCIStmtCantExec = 'NOE128/Q - Kan ikke kalde ExecSQL for en beskrivelse uden rkkest';
    msgOCIKeyFieldsEmpty = 'NOE129/Q - Kan ikke genopfriske rkkest, udefinerede nglefelt';
    msgOCINotPLSQLObj = 'NOE130/SP - [%s] er ikke et kaldbart PL/SQL objekt';
    msgOCIPLSQLObjNameEmpty = 'NOE131/SP - PL/SQL objekt navn er tomt';
    msgOCIPLSQLNotRemote = 'NOE132/SP - Remote PL/SQL objekts er ikke understttet (brug TOCIQuery)';
    msgOCIPLSQLNameError = 'NOE133/SP - Kan ikke fortolke PL/SQL objekt navn';
    msgOCINotPackageProc = 'NOE134/SP - [%s] er ikke en proc fra pakken [%s]';
    msgOCIBadTableType = 'NOE135/SP - Parameter med typen TABLE OF BOOLEAN/RECORD er ikke understttet (brug TOCIQuery)';
    msgOCITransMBInAct = 'NOE136/TX - Transaktion skal vre inaktive';
    msgOCIDBNameMismatch = 'NOE137/TX - DatabaseNavn uoverensstemmelse - [%s] og [%s]';
    msgOCITransMBStarted = 'NOE138/TX - For Suspend transaktion skal vre startede eksplicit';
    msgOCICannotChangeTM = 'NOE139/TX - Kan ikke forbinde en anden TM, fordi der p.t. er en aktive transaktion';
    msgOCICantChProp = 'NOE140/UPD - Kan ikke ndre element, nr opdateringer venter';

    // NCOciFilter
    msgOCIFilterNotFound = 'NOE150/FLT - Filter [%s] er ikke fundet';

    // NCOciReg
    SOCILoginCategoryName = 'OCI Login';
    SOCILoginCategoryDesc = 'OCI Login elementer og/eller handlinger';
    SOCIResourceCategoryName = 'OCI Resource';
    SOCIResourceCategoryDesc = 'OCI Resource elementer og/eller handlinger';
    SOCITransactCategoryName = 'OCI Transaktion';
    SOCITransactCategoryDesc = 'OCI Transaktion elementer og/eller handlinger';

    // NCOciUpdateSQL
    msgOCICantGenQuery = 'NOE170/UPS - Kan ikke skabe %s kommando for datast';
    msgOCIRecordDeleted = 'NOE171/UPS - Rekord er blevet slettet af en anden bruger';
    msgOCIRecordChanged = 'NOE172/UPS - Rekord er blevet ndret af en anden bruger';
    msgOCIRecordLocked = 'NOE173/UPS - Rekord er lst af en anden bruger';
    msgOCICantUseSQL4Refresh = 'NOE174/UPS - Kan ikke anvende den specificerede SQL til genopfrisk kommando';

implementation

end.

